Subject: bug#21910: libtool should check that directory names do not contain spaces

From: Earnie <[email-masked]>
Date: Mon, 16 Nov 2015 15:32:02 -0500

On 11/13/2015 11:09 AM, Vincent Lefevre wrote:
> libtool doesn't support directory names with spaces, and this will
> not be fixed (at least in the near future). In order to avoid obscure
> error messages (because internally, such paths get split and so on),
> libtool should generate code to make sure that such directory names
> are detected as soon as possible and to output a clear error message.
> 

Why not support all characters allowed in the file system?  Any ASCII
character or now-a-days UNICODE file names are supported in the OS.  Yes
the user needs to be careful with executing a script with white space
and special characters in the file name but not allowing it at all is a
bit fallacious.

-- 
Earnie